%define	upstream_name	 Crypt-CBC
%define upstream_version 2.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Encrypt Data with Cipher Block Chaining Mode
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module is a Perl-only implementation of the cryptographic cipher
block chaining mode (CBC).  In combination with a block cipher such as
DES or IDEA, you can encrypt and decrypt messages of arbitrarily long
length.  The encrypted messages are compatible with the encryption
format used by SSLeay, and can be made compatible with the newer
OpenSSL package by specifying the -salt argument.

To use this module, you will first create a Crypt::CBC cipher object with
new().  At the time of cipher creation, you specify an encryption key
to use and, optionally, a block encryption algorithm.  You will then
call the start() method to initialize the encryption or decryption
process, crypt() to encrypt or decrypt one or more blocks of data, and
lastly finish(), to pad and encrypt the final block.  For your
convenience, you can call the encrypt() and decrypt() methods to
operate on a whole data value at once.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/Crypt
%{_mandir}/man3*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.330.0-8.mga8
+ Revision: 1493607
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.330.0-7.mga7
+ Revision: 1266793
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.330.0-6.mga6
+ Revision: 1024507
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 2.330.0-5.mga6
+ Revision: 939720
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.330.0-4.mga5
+ Revision: 745802
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.330.0-3.mga5
+ Revision: 684031
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.330.0-2.mga4
+ Revision: 530987
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 sander85 <sander85> 2.330.0-1.mga4
+ Revision: 461496
- update to 2.33

* Sun Jan 13 2013 umeabot <umeabot> 2.320.0-2.mga3
+ Revision: 364830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.320.0-1.mga3
+ Revision: 341971
- update to 2.32

* Tue Nov 06 2012 jquelin <jquelin> 2.310.0-1.mga3
+ Revision: 314929
- update to 2.31

* Tue Jan 25 2011 jquelin <jquelin> 2.300.0-1.mga1
+ Revision: 38576
- mageia rebuild
- cleaning spec file
- imported package perl-Crypt-CBC


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.300.0-1mdv2010.0
+ Revision: 403030
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.30-1mdv2009.1
+ Revision: 292038
- update to new version 2.30

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.29-2mdv2009.0
+ Revision: 268403
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.29-1mdv2009.0
+ Revision: 196822
- update to new version 2.29

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.28-1mdv2009.0
+ Revision: 194923
- update to new version 2.28

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.24-1mdv2008.1
+ Revision: 97433
- update to new version 2.24

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.22-1mdv2008.0
+ Revision: 19825
- 2.22


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.19-1mdv2007.0
- New version 2.19

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2007.0
- New release 2.18
- better source URL

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.17-1mdk
- New release 2.17
- spec cleanup

* Wed Aug 17 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.15-1mdk
- New release 2.15

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.14-2mdk
- fix deps, summary and description

* Fri May 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.14-1mdk
- 2.14
- Make rpmbuildable

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.12-1mdk
- 2.12

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.11-1mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro
- cosmetics

